java.lang.RuntimeException

tip

Java does not handle IPv6 nameservers before 1.8.0_60. Upgrade to the latest JVM.


rprp
tip

This is a bug in Wise, updating to v4.10 seems to solve the problem.

You have a different solution? A short tip here would help you and many other users who saw this issue last week.

  • ODI 12c doesn't start up after Linux kernel update
    via by ThomasFlecken,
  • Error when starting sqldeveloper 4.0.3
    via by 890493,
  • problems of a newcomer
    via areca by buesser
    ,
  • I have a project with the following template: Manifest-Version: 1.0 Bundle-SymbolicName: org.springsource.osgi.medic.log.test Bundle-ManifestVersion: 2.0 Bundle-Version: 1.0.0 Bundle-Name: Medic Logging Integration Tests Note the Bundle-ManifestVersion of 2.0, which should be 2. If I ask for my manifest to be updated nothing (obvious) happens: my manifest isn't updated, and I don't get any error report. Looking in the error log tells me what the problem was: java.lang.RuntimeException: java.lang.NumberFormatException: For input string: "2.0" at com.springsource.bundlor.support.StandardBundleTransformer.generateManifest(StandardBundleTransformer.java:245) at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.generateManifest(BundlorProjectBuilder.java:410) at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.build(BundlorProjectBuilder.java:171) at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.build(BundlorProjectBuilder.java:113) at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:633) at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37) at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:170) at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:280) at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:361) at org.eclipse.core.internal.resources.Project.internalBuild(Project.java:516) at org.eclipse.core.internal.resources.Project.build(Project.java:102) at com.springsource.server.ide.bundlor.ui.BundlorUiPlugin$RunBundlorJob.run(BundlorUiPlugin.java:114) at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55) Caused by: java.lang.NumberFormatException: For input string: "2.0" at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48) at java.lang.Integer.parseInt(Integer.java:456) at java.lang.Integer.parseInt(Integer.java:497) at com.springsource.util.osgi.manifest.internal.BundleManifestVersionDelegate.<init>(BundleManifestVersionDelegate.java:39) at com.springsource.util.osgi.manifest.internal.StandardBundleManifest.<init>(StandardBundleManifest.java:156) at com.springsource.util.osgi.manifest.internal.StandardBundleManifest.<init>(StandardBundleManifest.java:118) at com.springsource.util.osgi.manifest.BundleManifestFactory.createBundleManifest(BundleManifestFactory.java:58) at com.springsource.bundlor.support.BundleManifestUtils.createBundleManifest(BundleManifestUtils.java:57) at com.springsource.bundlor.support.ManifestCreator.create(ManifestCreator.java:170) at com.springsource.bundlor.support.StandardBundleTransformer.generateManifest(StandardBundleTransformer.java:242) ... 12 more It'd be great if this error appeared in a pop-up as a result of requesting the update, rather than having to check in the error log for it
    via by Andy Wilkinson,
  • I have a project with the following template: Manifest-Version: 1.0 Bundle-SymbolicName: org.springsource.osgi.medic.log.test Bundle-ManifestVersion: 2.0 Bundle-Version: 1.0.0 Bundle-Name: Medic Logging Integration Tests Note the Bundle-ManifestVersion of 2.0, which should be 2. If I ask for my manifest to be updated nothing (obvious) happens: my manifest isn't updated, and I don't get any error report. Looking in the error log tells me what the problem was: java.lang.RuntimeException: java.lang.NumberFormatException: For input string: "2.0" at com.springsource.bundlor.support.StandardBundleTransformer.generateManifest(StandardBundleTransformer.java:245) at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.generateManifest(BundlorProjectBuilder.java:410) at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.build(BundlorProjectBuilder.java:171) at com.springsource.server.ide.bundlor.internal.core.BundlorProjectBuilder.build(BundlorProjectBuilder.java:113) at org.eclipse.core.internal.events.BuildManager$2.run(BuildManager.java:633) at org.eclipse.core.runtime.SafeRunner.run(SafeRunner.java:37) at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:170) at org.eclipse.core.internal.events.BuildManager.basicBuild(BuildManager.java:280) at org.eclipse.core.internal.events.BuildManager.build(BuildManager.java:361) at org.eclipse.core.internal.resources.Project.internalBuild(Project.java:516) at org.eclipse.core.internal.resources.Project.build(Project.java:102) at com.springsource.server.ide.bundlor.ui.BundlorUiPlugin$RunBundlorJob.run(BundlorUiPlugin.java:114) at org.eclipse.core.internal.jobs.Worker.run(Worker.java:55) Caused by: java.lang.NumberFormatException: For input string: "2.0" at java.lang.NumberFormatException.forInputString(NumberFormatException.java:48) at java.lang.Integer.parseInt(Integer.java:456) at java.lang.Integer.parseInt(Integer.java:497) at com.springsource.util.osgi.manifest.internal.BundleManifestVersionDelegate.<init>(BundleManifestVersionDelegate.java:39) at com.springsource.util.osgi.manifest.internal.StandardBundleManifest.<init>(StandardBundleManifest.java:156) at com.springsource.util.osgi.manifest.internal.StandardBundleManifest.<init>(StandardBundleManifest.java:118) at com.springsource.util.osgi.manifest.BundleManifestFactory.createBundleManifest(BundleManifestFactory.java:58) at com.springsource.bundlor.support.BundleManifestUtils.createBundleManifest(BundleManifestUtils.java:57) at com.springsource.bundlor.support.ManifestCreator.create(ManifestCreator.java:170) at com.springsource.bundlor.support.StandardBundleTransformer.generateManifest(StandardBundleTransformer.java:242) ... 12 more It'd be great if this error appeared in a pop-up as a result of requesting the update, rather than having to check in the error log for it
    via by Andy Wilkinson,
  • OSX NumberFormatException when starting SQLDeveloper 4.1.0 after system restart
    via by 99a7c676-2ea8-452f-934a-41e5a835a0ec,
    • java.lang.RuntimeException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi. at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:233) at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:657) at org.eclipse.osgi.framework.internal.core.EquinoxLauncher.internalInit(EquinoxLauncher.java:69) at org.eclipse.osgi.framework.internal.core.EquinoxLauncher.init(EquinoxLauncher.java:37) at org.eclipse.osgi.launch.Equinox.init(Equinox.java:178) at org.netbeans.modules.netbinox.Netbinox.init(Netbinox.java:84) at org.netbeans.core.netigso.Netigso.prepare(Netigso.java:166) at org.netbeans.NetigsoHandle.turnOn(NetigsoHandle.java:127) at org.netbeans.ModuleManager.enable(ModuleManager.java:1176) at org.netbeans.ModuleManager.enable(ModuleManager.java:1011) at org.netbeans.core.startup.ModuleList.installNew(ModuleList.java:340) at org.netbeans.core.startup.ModuleList.trigger(ModuleList.java:276) at org.netbeans.core.startup.ModuleSystem.restore(ModuleSystem.java:301) at org.netbeans.core.startup.Main.getModuleSystem(Main.java:181) at org.netbeans.core.startup.Main.getModuleSystem(Main.java:150) at org.netbeans.core.startup.Main.start(Main.java:307) at org.netbeans.core.startup.TopThreadGroup.run(TopThreadGroup.java:123) at java.lang.Thread.run(Thread.java:745) Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi. at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683) at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225) ... 17 more Caused by: java.lang.NumberFormatException: For input string: "2.0" at java.lang.NumberFormatException.forInputString(NumberFormatException.java:65) at java.lang.Integer.parseInt(Integer.java:492) at java.lang.Integer.parseInt(Integer.java:527) at org.eclipse.osgi.internal.resolver.StateBuilder.createBundleDescription(StateBuilder.java:61) at org.eclipse.osgi.internal.resolver.StateObjectFactoryImpl.createBundleDescription(StateObjectFactoryImpl.java:33) at org.eclipse.osgi.internal.baseadaptor.BaseStorage.readStateData(BaseStorage.java:845) at org.eclipse.osgi.internal.baseadaptor.BaseStorage.getStateManager(BaseStorage.java:791) at org.eclipse.osgi.baseadaptor.BaseAdaptor.getPlatformAdmin(BaseAdaptor.java:380) at org.eclipse.core.runtime.internal.adaptor.EclipseAdaptorHook.frameworkStart(EclipseAdaptorHook.java:90) at org.eclipse.osgi.baseadaptor.BaseAdaptor.frameworkStart(BaseAdaptor.java:253) at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:60) at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711) at java.security.AccessController.doPrivileged(Native Method) at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702) ... 19 more

    Users with the same issue

    harshgharshg
    1 times, last one,
    HandemelindoHandemelindo
    6 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    Unknown visitor
    Unknown visitor1 times, last one,
    233 more bugmates